"use client"
import { useForm } from "react-hook-form";
import { useEffect, useState } from "react";
import Container from "@/components/Container";
import Form from "@/components/Form";
import FormGroup from "@/components/FormGroup";
import FormItem from "@/components/FormItem";
import Input from "@/components/Input";
import InputToTag from "@/components/InputToTag";
import Text from "@/components/Text";
import Code from "@/components/Code";
import MenuItems from "@/utils/menuItems";
import Button from "@/components/Button";
import Message from "@/components/Message";

export default function InputToTagPage(){

  // const { control, handleSubmit, formState: { errors }} = useForm();
  const [tags, setTags] = useState([]);
  const [tags2, setTags2] = useState([]);
  const onSubmit = (data) => {
    console.log(data);
  }


  return(
    <Container flexDirection="row">
      <MenuItems />
      <Container margin="1rem" flexGrow="1">
        
        {/* Seção principal */}
        <Text onClick={()=>console.log(tags,tags2)} as="h1" margin="0">Componente Input To tag</Text>
        <Text as="p" margin="1rem 0">O componente Input To Tag permite o que for escrito seja transformado em um tag, e adicionado em uma array. É possível apagar da array clicando no botão de delete na tag.</Text>
        <Container style={{ border: '1px solid black'}} padding=".5rem">
          <InputToTag tags={tags} setTags={setTags}/>
        </Container>
        <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
          <Code language="javascript">
{`import InputToTag from "@components/InputToTag"

//criação do estado da array
const [tags, setTags] = useState([]);

<InputToTag tags={tags} setTags={setTags}/>
`}
          </Code>
        </Container>

        {/* Seção customização */}
        <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
        <Text as="p" margin="1rem 0">Também é possível customizar o componente input utilizando a propriedade style.</Text>
        <Container style={{ border: '1px solid black'}} padding=".5rem">
          <InputToTag tags={tags2} setTags={setTags2} placeholder="Digite as tags" style={{ border: '1px blue dotted' }} width={800} padding={10} />
        </Container>
        <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
          <Code language="javascript">
          {`import InputToTag from "@components/InputToTag"

//criação do estado da array
const [tags, setTags] = useState([]);

<InputToTag 
tags={tags2} 
setTags={setTags2} 
placeholder="Digite as tags" 
style={{ border: '1px blue dotted' }} 
width={800} 
padding={10} />
`}
          </Code>
        </Container>
        <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <Container flexDirection="row">
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul>
        <ul style={{ marginLeft: '3rem', lineHeight: '2'}}>
          <li>padding</li>
          <li>paddingTop</li>
          <li>paddingRight</li>
          <li>paddingBottom</li>
          <li>paddingLeft</li>  
        </ul>
        <ul style={{ marginLeft: '3rem', lineHeight: '2'}}>
          <li>placeholder</li>
          <li>width</li>
          <li>style</li>
        </ul> 
        </Container>

        <Message marginTop={30} type="danger">Não tem compatibilidade com react Hook Forms funcionando</Message>
      
        {/* Seção React Hook Form */}
        {/* <Text as="h2" margin="0" margin_top="1rem">Compatibilidade com React Hook Form</Text>
        <Text as="p" margin="1rem 0">O componente Input é compatível com o React Hook Form. Pressione enter no input para visualizar a validação.</Text>
        <Container style={{ border: '1px solid black' }}>
          <Form onSubmit={handleSubmit(onSubmit)}>
            <FormGroup>
              <FormItem>
                <InputToTag
                  type="text"
                  id="nome"
                  name="nome"
                  tags={tags}
                  setTags={setTags}
                  control={control}
                  errors={errors}
                  
                  />
                  <Button margin_top={30}>Enviar</Button>
              </FormItem>
            </FormGroup>
          </Form>

        </Container>        
        <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
          <Code language="javascript">
{`import Input from "@/components/Input";

<Input
  type="text"
  id="nome"
  name="nome"
  control={control}
  errors={errors}
  rules={{ 
    required: "O nome é obrigatório",
    minLength: {
      value: 3,
      message: "O nome deve ter no mínimo 3 caracteres"
    },
    maxLength: {
      value: 20,
      message: "O nome deve ter no máximo 20 caracteres"
    }
  }}
  placeholder="Digite seu nome" />`}
          </Code>
        </Container> */}
      </Container>
    </Container>
  )
}