import Code from "@/components/Code";
import Container from "@/components/Container";
import Form from "@/components/Form";
import FormGroup from "@/components/FormGroup";
import FormItem from "@/components/FormItem";
import Input from "@/components/Input";
import Label from "@/components/Label";
import Text from "@/components/Text";
import MenuItems from "@/utils/menuItems";

export default function LabelPage() {
  return (
    <Container flexDirection="row">
      <MenuItems />
      <Container margin="1rem" flexGrow="1">
        {/* Seção principal */}
        <Text as="h1" margin="0">
          Componente Label
        </Text>
        <Text as="p" margin="1rem 0">
          O componente Message permite apresentar uma mensage de informação. Por
          padrão, utilza a cor primária definida no tema
        </Text>
        <Container style={{ border: "1px solid black" }} padding=".5rem">
          <Form>
            <FormGroup>
              <FormItem>
                <Label htmlFor="nome">Nome:</Label>
                <Input id="nome" type="text" />
              </FormItem>
            </FormGroup>
          </Form>
        </Container>
        <Container
          style={{
            border: "1px solid black",
            borderTop: "0",
            backgroundColor: "#f5f2f0",
          }}
        >
          <Code language="javascript">
            {`import Form from "@/components/Form";
import FormGroup from "@/components/FormGroup";
import FormItem from "@/components/FormItem";
import Input from "@/components/Input";
import Label from "@/components/Label";

<Form>
  <FormGroup>
    <FormItem>
      <Label htmlFor="nome">Nome:</Label>
      <Input id="nome" type="text" />
    </FormItem>
  </FormGroup>
</Form>`}
          </Code>
        </Container>

        {/* Seção customização */}
        <Text as="h2" margin="0" margin_top="1rem">
          Customização
        </Text>
        <Text as="p" margin="1rem 0">
          O componente Message permite definir as seguintes propriedades, que
          utilizam as cores padrão do tema:
        </Text>
        <Container style={{ border: "1px solid black" }} padding=".5rem">
          <Form>
            <FormGroup>
              <FormItem>
                <Label
                  htmlFor="email"
                  marginBottom=".5rem"
                  style={{ borderLeft: "2px solid red" }}
                  type="danger"
                >
                  E-mail:
                </Label>
                <Input id="email" type="text" />
              </FormItem>
            </FormGroup>
          </Form>
        </Container>
        <Container
          style={{
            border: "1px solid black",
            borderTop: "0",
            backgroundColor: "#f5f2f0",
          }}
        >
          <Code language="javascript">
            {`import Form from "@/components/Form";
import FormGroup from "@/components/FormGroup";
import FormItem from "@/components/FormItem";
import Input from "@/components/Input";
import Label from "@/components/Label";

<Form>
<FormGroup>
  <FormItem>
    <Label htmlFor="email" marginBottom=".5rem" style={{ borderLeft: "2px solid red" }} type="danger">E-mail:</Label>
    <Input id="email" type="text" />
  </FormItem>
</FormGroup>
</Form>`}
          </Code>
        </Container>
        <Text as="p" margin="1rem 0">
          As seguintes propridades podem ser informadas como parâmetro:
        </Text>
        <Container flexDirection="row" marginBottom={25}>
          <ul style={{ marginLeft: "1rem", lineHeight: "2" }}>
            <li>margin</li>
            <li>marginTop</li>
            <li>marginRight</li>
            <li>marginBottom</li>
            <li>marginLeft</li>
          </ul>
          <ul style={{ marginLeft: "3rem", lineHeight: "2" }}>
            <li>padding</li>
            <li>paddingTop</li>
            <li>paddingRight</li>
            <li>paddingBottom</li>
            <li>paddingLeft</li>
          </ul>
          <ul style={{ marginLeft: "3rem", lineHeight: "2" }}>
            <li>style</li>
          </ul>
        </Container>
        <Text as="p" margin="1rem 0">
          A cor do texto do label pode mudar conforme esses parâmetros do type:
        </Text>
        <ul
          style={{
            marginLeft: "1rem",
            display: "flex",
            flexDirection: "row",
            gap: "3rem",
          }}
        >
          <li>info</li>
          <li>danger</li>
          <li>success</li>
          <li>warning</li>
        </ul>

        <Container
          marginTop={"1em"}
          style={{ border: "1px solid black", borderTop: "1px solid black" }}
          padding=".5rem"
        >
          <Label type={"info"}>Info</Label>
          <Label type={"danger"}>danger</Label>
          <Label type={"success"}>success</Label>
          <Label type={"warning"}>warning</Label>
        </Container>

        <Container
          style={{
            border: "1px solid black",
            borderTop: "0",
            backgroundColor: "#f5f2f0",
          }}
        >
          <Code language="javascript">
            {`import Label from "@/components/Label";

<Label type={"info"}>Info</Label>
<Label type={"danger"}>danger</Label>
<Label type={"success"}>success</Label>
<Label type={"warning"}>warning</Label>`}
          </Code>
        </Container>
      </Container>
    </Container>
  );
}
