import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import Menu from "@/components/Menu"
import MenuItems from "@/utils/menuItems";
import MenuExpandivel from "@/components/MenuExpansivel";

export default function MenuPage(){
    
    const menuItems = [
        {
            label:"Início",
            url:"#",
            icon:"icons/home.svg",
            iconAlt:"Ícone do início"
        },
        {
            label:"Responsáveis",
            url:"#",
            icon:"icons/users.svg",
            iconAlt:"Ícone dos responsáveis"
        },
        {
            label:"Alunos",
            url:"#",
            icon:"icons/users.svg",
            iconAlt:"Ícone dos alunos"
        },
    ]
    
  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      {/* <Menu menuItens={itens} /> */}
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Menu</Text>
      <Text as="p" margin="1rem 0">O componente menu apresenta uma barra lateral com uma lista que leva a paginas.<br/>O Componente está sendo usado aqui<br/>{"<=="}</Text>
      <MenuExpandivel MenuItems={menuItems}/>
      <Container style={{ border: '1px solid black', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Menu from "@/components/Menu";

const itens = [
        {id: 0, url: "/", text:"Teste0"},
        {id: 1, url: "/", text:"Teste1"},
        {id: 2, url: "/", text:"Teste2"},
        {id: 3, url: "/", text:"Teste3"},

<Menu menuItens={itens}  />`}
        </Code>
      </Container>

      {/* Seção customização */}
{/*       
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Message permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message info>Mensagem de informação</Message>
        <Message danger>Mensagem de erro</Message>
        <Message success>Mensagem de sucesso</Message>
        <Message warning>Mensagem de warning</Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message info>Mensagem de informação</Message>
<Message danger>Mensagem de erro</Message>
<Message success>Mensagem de sucesso</Message>
<Message warning>Mensagem de warning</Message>`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul>  */}

    </Container>
  </Container>
  )
}