import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import MenuItems from "@/utils/menuItems";

export default function MessagePage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Message</Text>
      <Text as="p" margin="1rem 0">O componente Message permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message>Informação</Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message>Informação</Message>`}
        </Code>
      </Container>

      <Text as="p" margin="1rem 0">O componente Message permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message type="info">Mensagem de informação</Message>
        <Message type="danger">Mensagem de erro</Message>
        <Message type="success">Mensagem de sucesso</Message>
        <Message type="warning">Mensagem de warning</Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message type="info">Mensagem de informação</Message>
<Message type="danger">Mensagem de erro</Message>
<Message type="success">Mensagem de sucesso</Message>
<Message type="warning">Mensagem de warning</Message>`}
        </Code>
      </Container>      

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Message permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message type="info" style={{ backgroundColor: "#000", borderColor: "#000"}} marginTop="2rem">
          Mensagem de informação
        </Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message type="info" style={{ backgroundColor: "#000", borderColor: "#000"}} marginTop="2rem">
  Mensagem de informação
</Message>`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul>

      <Text as="p" margin="1rem 0">As seguintes propridades podem ser customizadas no arquivo de temas:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>borderTop</li>
          <li>borderBottom</li>
          <li>borderLeft</li>
          <li>borderRight</li>
          <li>messageBorderTopLeftRadius</li>
          <li>messageBorderTopRightRadius</li>
          <li>messageBorderBottomLeftRadius</li>
          <li>messageBorderBottomRightRadius</li>
        </ul> 

    </Container>
  </Container>
  )
}