"use client"

import Container from "@/components/Container";
import PaginationNextRouter from "@/components/PaginationNextRouter";
import Text from "@/components/Text";
import gerarLink from "@/utils/gerarLink";
import MenuItems from "@/utils/menuItems";
import { useEffect, useState } from "react";

export default function PaginationNextRouterPage({ searchParams }) {

  const [dados, setDados] = useState();

  useEffect(() => {
    async function buscar() {

      let link = gerarLink("https://rickandmortyapi.com/api/character", searchParams)

      const res = await fetch(link);

      const data = await res.json();

      setDados(data)
    }

    buscar()
  }, [])


  console.log(dados)
  return (
    <Container flexDirection="row">
      <MenuItems />
      <Container margin="1rem" flexGrow="1">

        {/* Seção principal */}
        <Text as="h1" margin="0">Componente PaginationNextRouter</Text>
        <Text as="p" margin="1rem 0">O componente Message permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>


        <Container>
          {dados?.results.map((person) => (
            <p key={person.id}>{person.name}</p>
          ))}
        </Container>

        {dados && (
          <Container>
            <PaginationNextRouter
              totalPages={dados.info.pages}
              querys={searchParams}
              linkPagina={"/PaginationNextRouter"}
              currentPage={searchParams?.page}
              wordPage="page"
            />
          </Container>
        )}

      </Container>
    </Container>
  )
}