import Button from "@/components/Button";
import Code from "@/components/Code";
import Container from "@/components/Container";
import Tag from "@/components/Tag";
import Text from "@/components/Text";
import MenuItems from "@/utils/menuItems";

export default function TagPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Tag</Text>
      <Text as="p" margin="1rem 0">O componente Tag permite apresentar </Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row>
        <Tag>Primária</Tag>
        <Tag type="info">Info</Tag>
        <Tag type="danger">Danger</Tag>
        <Tag type="success">Success</Tag>
        <Tag type="warning">Warning</Tag>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Tag from "@/components/Tag";

<Tag>Primária</Tag>
<Tag type="info">Info</Tag>
<Tag type="danger">Danger</Tag>
<Tag type="success">Success</Tag>
<Tag type="warning">Warning</Tag>`}
        </Code>
      </Container>             

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">Também é possível customizar o componente Text utilizando a propriedade style.</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row alignCenter>
        <Tag style={{ backgroundColor: "#000"}} marginTop="2rem">Primária</Tag>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Tag from "@/components/Tag";

<Tag style={{ backgroundColor: "#000"}} marginTop="2rem">Primária</Tag>`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
          <li>padding</li>
          <li>paddingTop</li>
          <li>paddingRight</li>
          <li>paddingBottom</li>
          <li>paddingLeft</li>
        </ul>
      
        <Text as="p" margin="1rem 0">As seguintes propridades podem ser customizadas no tema:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>tagPadding</li>
          <li>tagMargin</li>
          <li>tagBorderRadius</li>
        </ul> 

    </Container>
  </Container>
  )
}