import Button from "@/components/Button";
import Code from "@/components/Code";
import Container from "@/components/Container";
import Text from "@/components/Text";
import MenuItems from "@/utils/menuItems";

export default function TextPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Text</Text>
      <Text as="p" margin="1rem 0">O componente Text permite apresentar textos do tipo paragráfo e títulos, de nível 1 até o nível 6.</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" column>
        <Text as="h1">Título 1</Text>
        <Text as="h2">Título 2</Text>
        <Text as="h3">Título 3</Text>
        <Text as="p">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quia assumenda atque doloremque ex quibusdam officia cumque, corporis quam quos quae pariatur et provident velit enim distinctio ipsa nesciunt quo saepe.</Text>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Text from "@/components/Text";

<Text as="h1">Título 1</Text>
<Text as="h2">Título 2</Text>
<Text as="h3">Título 3</Text>
<Text as="p">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quia assumenda atque doloremque ex quibusdam officia cumque, corporis quam quos quae pariatur et provident velit enim distinctio ipsa nesciunt quo saepe.</Text>`}
        </Code>
      </Container>             

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">Também é possível customizar o componente Text utilizando a propriedade style.</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row alignCenter>
        <Text as="h1" style={{ color: "#113b96"}}>Título 1</Text>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Text from "@/components/Text";

<Text as="h1" style={{ color: "#113b96"}}>Título 1</Text>`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
          <li>padding</li>
          <li>paddingTop</li>
          <li>paddingRight</li>
          <li>paddingBottom</li>
          <li>paddingLeft</li>
        </ul>
      
        <Text as="p" margin="1rem 0">As seguintes propridades podem ser customizadas no tema:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>textMargin</li>
          <li>textPLineHeight</li>
          <li>textPFontSize</li>
          <li>textPFontWeight</li>
          <li>textPFontFamily</li>
          <li>textH1FontSize</li>
          <li>textH1FontWeight</li>
          <li>textH1FontFamily</li>
          <li>textH2FontSize</li>
          <li>textH2FontWeight</li>
          <li>textH2FontFamily</li>
          <li>textH3FontSize</li>
          <li>textH3FontWeight</li>
          <li>textH3FontFamily</li>
          <li>textH4FontSize</li>
          <li>textH4FontWeight</li>
          <li>textH4FontFamily</li>
          <li>textH5FontSize</li>
          <li>textH5FontWeight</li>
          <li>textH5FontFamily</li>
          <li>textH6FontSize</li>
          <li>textH6FontWeight</li>
          <li>textH6FontFamily</li>
        </ul> 

    </Container>
  </Container>
  )
}