"use client"
import { useForm } from "react-hook-form";
import Container from "@/components/Container";
import Text from "@/components/Text";
import Code from "@/components/Code";
import MenuItems from "@/utils/menuItems";
import TransferList from "@/components/TransferList";
import { useState } from "react";

export default function TransferListPage() {
  const [listaTransferivel, setlistaTransferivel] = useState([
    {
      label: "banana",
      side: "left",
      id: 0,
    },
    {
      label: "mamão",
      side: "left",
      id: 1,
    },
    {
      label: "laranja",
      side: "left",
      id: 2,
    },
    {
      label: "maçã",
      side: "right",
      id: 3,
    },
    {
      label: "abacaxi",
      side: "right",
      id: 4,
    },
    {
      label: "morango",
      side: "right",
      id: 5,
    },
    // { label: "objeto7", side: "right", id: 6 },
    // { label: "objeto8", side: "right", id: 7 },
    // { label: "objeto9", side: "right", id: 8 },
    // { label: "objeto10", side: "right", id: 9 },
    // { label: "objeto11", side: "right", id: 10 },
    // { label: "objeto12", side: "right", id: 11 },
  ]);

  return (
    <Container flexDirection="row">
      <MenuItems />
      <Container margin="1rem" flexGrow="1">
        {/* Seção principal */}
        <Text as="h1" margin="0" onClick={() => console.log(listaTransferivel)}>
          Componente TransferList
        </Text>
        <Text as="p" margin="1rem 0">
          O componente TransfeList permite a renderização de duas listas com checkbox, permitindo mudar itens da lista para um lado.<br/> 
        </Text>
        <Container style={{ border: "1px solid black" }} padding=".5rem">
          <TransferList
            itens={listaTransferivel}
            setItens={setlistaTransferivel}
          />
        </Container>
        <Container
          style={{
            border: "1px solid black",
            borderTop: "0",
            backgroundColor: "#f5f2f0",
          }}
        >
          <Code language="javascript">
            {`import TransferList from "@/components/TransferList";

const [listaTransferivel, setlistaTransferivel] = useState([
{
    label: "banana", side: "left", id: 0,
  },
  {label: "mamão", side: "left", id: 1,},
  {label: "laranja", side: "left", id: 2,},{label: "maçã", side: "right", id: 3,},{label: "abacaxi", side: "right", id: 4,},{label: "morango", side: "right", id: 5,
  }]);

<TransferList itens={listaTransferivel} setItens={setlistaTransferivel}/>`}
          </Code>
        </Container>
      </Container>
    </Container>
  );
}
