import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import MenuItems from "@/utils/menuItems";

export default function IndexPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      <Text as="h1" margin="0">Copmonentes Cidades Inteligentes - FSLab UI</Text>
      {/* <Text as="p" margin="1rem 0">O FSLab UI é um conjunto de componente projetados para acelerar o desenvolvimento de interfaces gráficas utilizando Nextjs e Reactjs.</Text>

      <Text as="h2" margin="0">Instalação</Text>
      <Text as="p" margin="1rem 0">Para instalar utilize o comando:</Text>
      <Code language="bash">
npm install fslab-ui
      </Code> */}

      <Text as="h2" margin="0">Customização</Text>
      <Text as="p" margin="1rem 0">O FSLab UI necessita de um arquivo de temas, carregado de forma global no projeto, contendo as variáveis descrita a seguir:</Text>
      <Code language="css">
{`:root{
  /* Cores do tema */
  --primary:         #4b64dc;
  --primaryDark:     #25377d;
  --primaryLight:    #748ee6;
  --secondary:       #E8EAEE;
  --secondaryDark:   #C2C6D0;
  --secondaryLight:  #F2F3F5;

  /* Cores auxiliares */
  --focus:           #fff5a9;

  /* Cores padrão */
  --black:           #0D0D0D;
  --white:           #FFFFFF;
  --gray:            #D4D4D4;
  --lightGray:       #E8EAEE;
  --darkGray:        #474745;
  --blue:            #1647ae;
  --lightBlue:       #2c53a6;
  --darkblue:        #113b96;
  --green:           #43a560;
  --lightGreen:      #28A34D;
  --darkgreen:       #20863F;
  --red:             #D43939;
  --lightRed:        #dd5b5b;
  --darkred:         #BA3535;
  --yellow:          #F5A623;
  --lightYellow:     #f6be64;
  --darkyellow:      #C58A28;

  /* Fonts */
  --fontPrimary:       'Inter', 'sans-serif';
  --fontSecondary:     'Roboto', sans-serif;
  --fontSizeSmall:      .8rem;
  --fontSizeMedium:     1rem;
  --fontSizeLarge:      1.5rem;

  /* Components */
  /* Message */
  --border-top:    .5rem solid var(--primary);
  --border-bottom: .5rem solid var(--primary);
  --border-left:   .5rem solid var(--primary);
  --border-right:  .5rem solid var(--primary);
  --message-border-top-left-radius:     .5rem;
  --message-border-top-right-radius:    .5rem;
  --message-border-bottom-left-radius:  .5rem;
  --message-border-bottom-right-radius: .5rem;

  /* Table */
  --table-border: .063rem solid var(--darkGray);

  /* Input */
  --input-border: .063rem solid var(--darkGray);

  /* Textarea */
  --textarea-border: .063rem solid var(--darkGray);

  /* Select */
  --select-border: .063rem solid var(--darkGray);

  
}`}
      </Code>
    </Container>
  </Container>
  )
}