import { Controller } from "react-hook-form";
import styles from "./styles.module.scss";
import { useEffect, useState } from "react";
import classNames from "classnames";
import Input from "../Input";
import Tag from "../Tag";

export default function InputToTagAutoComplete({
  margin,
  marginTop,
  marginRight,
  marginLeft,
  marginBottom,
  padding, paddingTop, paddingBottom, paddingLeft, paddingRight,
  name,
  //control,
  //errors,
  //rules,
  tags,
  setTags,
  style,
  width,
  placeholder,
  ...props
}) {

  //Não tem compatibilidade com react Hook Forms funcionando
  
  // const classes = classNames({
  //   [styles.info]: props.info,
  //   [styles.danger]: props.danger,
  //   [styles.success]: props.success,
  //   [styles.warning]: props.warning
  // });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(padding && { padding }),
    ...(paddingTop && { paddingTop: paddingTop }),
    ...(paddingBottom && { paddingBottom: paddingBottom }),
    ...(paddingLeft && { paddingLeft: paddingLeft }),
    ...(paddingRight && { paddingRight: paddingRight }),
    ...(width && {width: width}),
    ...(style && style)
  };

  const [inputMessage, setinputMessage] = useState("");


  const handleInputChange = (e) => {
    setinputMessage(e.target.value);
  };

  const handleKeyDown = (e) => {
    handleInputChange;
    if (e.key === "Enter") {
      setinputMessage("");
      setTags((current) => [...current, inputMessage]);
      console.log(tags);
    }
  };

  // const handleKeyDownRHF = (e) => {
  //   handleInputChange;
  //   if (e.key === "Enter") {
  //     setinputMessage("");
  //     setTags((current) => [...current, inputMessage]);
      
  //     console.log(tags);
  //   }
  // };

  const handleDelete = (item) => {
    const array = tags.filter((i) => {
      return i !== item;
    });
    setTags(array);
  };

  // if (!control) {
    return (
      <div className={styles.container} style={allStyle} {...props}>

        <Input
          onChange={handleInputChange}
          onKeyDown={handleKeyDown}
          value={inputMessage}
          placeholder="Digite as tags"
        />


        {tags.map((item, index) => (
          <div className={styles.tags}>
            <Tag
              key={index}
              onClick={() => {
                console.log(index);
              }}
            >
              <span>{item}</span>
              <div onClick={() => handleDelete(item)} className={styles.delete}>
                &#10006;
              </div>
            </Tag>
          </div>
        ))}
      </div>
    );
  // } else {
  //   return (
  //     <>
  //       <Controller
  //         control={control}
  //         name={name}
  //         rules={rules}
  //         render={({ field }) => (
  //           <div className={styles.container}>
  //             <Input
  //               onChange={handleInputChange}
  //               onKeyDown={(e)=>{
  //                 handleKeyDownRHF(e);
  //                 field.onChange(tags)
  //               }}
  //               value={inputMessage}
  //             />
  //             {tags.map((item, index) => (
  //               <div className={styles.tags}>
  //                 <Tag
  //                   key={index}
  //                   onClick={() => {
  //                     console.log(index);
  //                   }}
  //                 >
  //                   <span>{item}</span>
  //                   <div
  //                     onClick={() => handleDelete(item)}
  //                     className={styles.delete}
  //                   >
  //                     &#10006;
  //                   </div>
  //                 </Tag>
  //               </div>
  //             ))}
  //           </div>
  //         )}
  //       />
  //       {errors[name] && (
  //         <span className={styles.errorMessage}>{errors[name].message}</span>
  //       )}
  //     </>
  //   );
  // }
}
