"use client"

import Image from "next/image";
import { useState } from "react";
import styles from "./styles.module.scss";

export default function MenuExpandivel({MenuItems}) {
  const menuAbertoStyle = styles.menuBaseAberto, menuFechadoStyle = styles.menuBaseFechado;
  const [taAberto, setTaAberto] = useState(false);

// Exemplo de uso do componente Menu
//import Menu from '../components/Menu';

//<Menu/>

  return (

    <div className={taAberto ? menuAbertoStyle : menuFechadoStyle}>
      <div onClick={()=> {
        if(taAberto){
          setTaAberto(false);
        }else{
          setTaAberto(true);
        }
      }} 
      className={styles.menuButton}>
      <div>&#10095;</div>
      </div>
      <ul className={styles.lista}>
        {MenuItems.map((item, index) => (
          <a href={item.url} key={"MenuItem"+index}><li>
            <Image
            className={styles.imagem}
            src={item.icon}
            width={16}
            height={16}
            alt={item.iconAlt}
            />
            <div className={styles.txt}><p>{item.label}</p></div>
          </li></a>
        )
        )}
        
      </ul>
    </div>
    
  );
}