"use client"

import { useState } from "react";
import Link from "next/link";
import styles from "./styles.module.css";
import stylesButtonExpansivel from "./ButtonLinkExpansivel.module.css";
import Image from "next/image";


export default function MenuNovo() {

  const [buttonLinkExpansivelAtivo, setButtonLinkExpansivelAtivo] = useState(false);

  return (
    <div className={styles.menuContainerPrincipal}>

      <section className={styles.containerUsuario}>
        <img className={styles.avatar} src="https://framework.adianti.me/template/app/images/photos/admin.jpg" alt="Usuário" />
        <div className={styles.containerUsuarioInfos}>
          <p className={styles.usuarioNome}>Administrador</p>
          <p className={styles.usuarioEmail}>admin@administrador.com</p>
        </div>
      </section>

      <section className={styles.containerList}>
        <div className={styles.buttonLink}>
          <Link className={styles.link} href="#">
            <div className={styles.containerIconeTexto}>
              <img src="/icons/home.svg" alt="Home ícone" />
              <p className={styles.buttonLinkTexto}>Administrador</p>
            </div>
          </Link>
        </div>

        <ButtonLinkExpansivel ativo={buttonLinkExpansivelAtivo} setAtivo={setButtonLinkExpansivelAtivo} />

      </section>

    </div>
  )
}

function ButtonLinkExpansivel({ ativo, setAtivo }) {

  return (
    <div>
      <div className={stylesButtonExpansivel.buttonLinkExpansivel}
        style={{ backgroundColor: ativo ? "var(--menuColorPrimaryDark)" : "var(--menuColorPrimary)" }}
        onClick={() => {
          if (ativo) setAtivo(false)
          if (!ativo) setAtivo(true)
        }}>
        <div className={stylesButtonExpansivel.containerIconeTextoExpansivel}>
          <div className={stylesButtonExpansivel.containerIconeTexto}>
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.buttonLinkTexto}>Administrador</p>
          </div>
          <Image
            src={ativo ? require("./minus.svg") : require("./plus.svg")}
            width={20}
            height={20}
            alt="Abrir"
          />
        </div>
      </div>

      <div className={ativo ? stylesButtonExpansivel.containerExpansivelAtivo : stylesButtonExpansivel.containerExpansivel}>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
        <div>
          <Link className={stylesButtonExpansivel.linkIconeTexto} href="#">
            <img src="/icons/home.svg" alt="Home ícone" />
            <p className={stylesButtonExpansivel.linkTexto}>Documentos</p>
          </Link>
        </div>
      </div>

    </div>
  )
}