import { useEffect } from 'react';
import styles from './styles.module.scss';
import Text from '../Text';
import Image from 'next/image';

export default function Modal({ isOpen, onClose, modalTitle, children, maxWidth }) {
  
  const handleClose = () => {
    onClose();
  };

  if (!isOpen) {
    return null;
  }

  useEffect(() => {
    const close = (e) => {
      if (e.key === "Escape") {
        onClose();
      }
    }
    window.addEventListener('keydown', close)
    return () => window.removeEventListener('keydown', close)
  }, []);

  return (
    <div className={styles.modal}>
      <div className={styles.modalContent} style={{maxWidth: maxWidth}}>
        <div className={styles.modalHeader}>
          <Text as="h2">{modalTitle}</Text>
          <Image
            src={require("./btnClose.svg")}
            alt="Fechar modal"
            title="Fechar modal"
            className={styles.btnClose}
            width={20}
            height={20}
            onClick={handleClose} />
        </div>
          {children}
      </div>
    </div>
  );
};