import styles from './styles.module.scss';
import classNames from 'classnames';

export default function Spinner({ margin, marginTop, marginRight, marginLeft, marginBottom,
  style, ...props }) {
  
  const classes = classNames({
    [styles.spinner]: true,
    [styles.info]:    props.type === "info",
    [styles.danger]:  props.type === "danger",
    [styles.success]: props.type === "success",
    [styles.warning]: props.type === "warning",
    [styles.small]:   props.size === "small",
    [styles.large]:   props.size === "large",
  });

  const classesContainer = classNames({
    [styles.spinnerContainer]: true,
    [styles.modal]: props.modal
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };
  
  return (
    <div className={classesContainer}>
      <div className={classes} style={allStyle}></div>
    </div>
  );
};