import styles from "./styles.module.scss";
import classNames from "classnames";

export default function TabContent({
  margin,
  marginTop,
  marginRight,
  marginLeft,
  marginBottom,
  children,
  style,
  active,
  ...props
}) {
  const classes = classNames({
    [styles.tabContent]: true,
    [styles.active]: active,
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style),
  };

  return (
    <div className={classes} {...props} style={allStyle}>
      {children}
    </div>
  );
}
