import styles from "./styles.module.scss";

export default function Table({
  children,
  padding,
  paddingTop,
  paddingRight,
  paddingLeft,
  paddingBottom,
  margin,
  marginTop,
  marginRight,
  marginLeft,
  marginBottom,
  style,
  ...props
}) {
  const allStyle = {
    ...(padding && { padding }),
    ...(paddingTop && { paddingTop: paddingTop }),
    ...(paddingBottom && { paddingBottom: paddingBottom }),
    ...(paddingLeft && { paddingLeft: paddingLeft }),
    ...(paddingRight && { paddingRight: paddingRight }),
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && { ...style }),
  };

  return (
    <table className={styles.table} {...props} style={allStyle}>
      {children}
    </table>
  );
}
