import styles from "./styles.module.scss";
import classNames from "classnames";

export default function Text({
  children,
  as,
  padding,
  paddingTop,
  paddingRight,
  paddingLeft,
  paddingBottom,
  margin,
  marginTop,
  marginRight,
  marginLeft,
  marginBottom,
  style,
  ...props
}) {
  
  const Component = `${as || "p"}`;
  let ComponentStyles = "";

  if (as === "h1") {
    ComponentStyles = styles.h1;
  } else if (as === "h2") {
    ComponentStyles = styles.h2;
  } else if (as === "h3") {
    ComponentStyles = styles.h3;
  } else if (as === "h4") {
    ComponentStyles = styles.h4;
  } else if (as === "h5") {
    ComponentStyles = styles.h5;
  } else if (as === "h6") {
    ComponentStyles = styles.h6;
  } else if (as === "p") {
    ComponentStyles = styles.p;
  }

  const className = classNames({
    [styles.text]: true,
    [ComponentStyles]: ComponentStyles !== undefined,
  });

  const allStyle = {
    ...(padding && { padding }),
    ...(paddingTop && { paddingTop: paddingTop }),
    ...(paddingBottom && { paddingBottom: paddingBottom }),
    ...(paddingLeft && { paddingLeft: paddingLeft }),
    ...(paddingRight && { paddingRight: paddingRight }),
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(bold && { fontWeight: "bold" }),
    ...(style && { ...style }),
  };

  return (
    <Component className={className} style={allStyle} {...props}>
      {children}
    </Component>
  );
}
