import styles from "./styles.module.scss"

import Checkbox from "../Checkbox";
import Label from "../Label";
import Button from "../Button";
import { useState, useCallback } from "react";

export default function TransferList({ itens, setItens, ...props }) {
  //array das checkbox
  const [itensCheck, setitensCheck] = useState(
    new Array(itens.length).fill(false)
  );

  const handleItemCheck = (id) => {
    const newItemCheck = itensCheck.slice();
    newItemCheck[id] = !itensCheck[id];
    setitensCheck(newItemCheck);
  };

  const handleAllSideButton = (side) => {
    const newItens = itens.slice();

    for (let i = 0; i < itens.length; i++) {
      newItens[i].side = `${side}`;
    }

    setItens(newItens);
    //limpar a array da check
    setitensCheck(new Array(itens.length).fill(false));
  };

  const handleSideButton = (side) => {
    console.log(`${side}\n${itens}\n${itensCheck}`)
    const newItens = itens.slice();
    
    for (let i = 0; i < itens.length; i++) {
      if (itensCheck[i]) {
        if(!(itens[i].side == side)){
          newItens[i].side = `${side}`;
          setItens(newItens);
          //limpar a array da check
          setitensCheck(new Array(itens.length).fill(false));
        }
      }
    }
    
  };

  return (
    <>
      <div className={styles.mainContainer}>
        <div className={styles.leftListContainer}>
          <ul>
            {itens.map((item, index) =>
              item.side == "left" ? (
                <li key={item.id}>
                  <Checkbox 
                    checked={itensCheck[index]}
                    onChange={() => handleItemCheck(index)}
                  />
                  <Label>{item.label}</Label>
                </li>
              ) : null
            )}
          </ul>
        </div>
        <div className={styles.buttonsContainer}>
          <Button onClick={() => handleAllSideButton("right")}>{">>"}</Button>
          <Button onClick={() => handleSideButton("right")}>{">"}</Button>
          <Button onClick={() => handleSideButton("left")}>{"<"}</Button>
          <Button onClick={() => handleAllSideButton("left")}>{"<<"}</Button>
        </div>
        <div className={styles.rightListContainer}>
          <ul>
            {itens.map((item, index) =>
              item.side == "right" ? (
                <li key={item.id} >
                  <Checkbox
                    checked={itensCheck[index]}
                    onChange={() => handleItemCheck(index)}
                  />
                  <Label>{item.label}</Label>
                </li>
              ) : null
            )}
          </ul>
        </div>
      </div>
    </>
  );
}
